Axis2/C: property

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# property
[utilities]

## Typedefs
typedef struct axutil_property | axutil_property_t
## Functions
AXIS2_EXTERN axutil_property_t * | axutil_property_create (const axutil_env_t *env)
AXIS2_EXTERN axutil_property_t * | axutil_property_create_with_args (const axutil_env_t *env, axis2_scope_t scope, axis2_bool_t own_value, AXIS2_FREE_VOID_ARG free_func, void *value)
AXIS2_EXTERN void | axutil_property_free (axutil_property_t *property, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_property_set_scope (axutil_property_t *property, const axutil_env_t *env, axis2_scope_t scope)
AXIS2_EXTERN axis2_status_t | axutil_property_set_free_func (axutil_property_t *property, const axutil_env_t *env, AXIS2_FREE_VOID_ARG free_func)
AXIS2_EXTERN axis2_status_t | axutil_property_set_value (axutil_property_t *property, const axutil_env_t *env, void *value)
AXIS2_EXTERN void * | axutil_property_get_value (axutil_property_t *property, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_property_set_own_value (axutil_property_t *property, const axutil_env_t *env, axis2_bool_t own_value)
AXIS2_EXTERN axutil_property_t * | axutil_property_clone (axutil_property_t *property, const axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN axutil_property_t* axutil_property_create | ( | const axutil_env_t * | env | ) |

create new property

Returns:
  property newly created property

AXIS2_EXTERN axutil_property_t* axutil_property_create_with_args | ( | const axutil_env_t * | env,
|  | axis2_scope_t | scope,
|  | axis2_bool_t | own_value,
|  | AXIS2_FREE_VOID_ARG | free_func,
|  | void * | value |
| ) |  |  |

create new property

Parameters:

  | env | axis2 environment
  | scope | scope can be one of following AXIS2_SCOPE_REQUEST AXIS2_SCOPE_SESSION AXIS2_SCOPE_APPLICATION pass 0 to use default scope of AXIS2_SCOPE_REQUEST
  | own_value | whether value is owned by the property or not. if the value is owned by the property it should be freed by the proeprty.
  | free_func | free function for the value freeing. Pass 0 if param value is a string
  | value | value of the property

Returns:
  property newly created property

AXIS2_EXTERN axis2_status_t axutil_property_set_scope | ( | axutil_property_t * | property,
|  | const axutil_env_t * | env,
|  | axis2_scope_t | scope |
| ) |  |  |

Default scope is AXIS2_SCOPE_REQUEST